# lang file listed twice
%define _files_listed_twice_terminate_build 0
%define printer_name "Boomaga"
%define cups_serverbin %{_exec_prefix}/lib/cups

Summary:	A virtual printer for viewing a document before printing
Name:		boomaga
Version:	1.2.0
Release:	2
License:	LGPLv2.1+
Group:		System/Printing
Url:		http://www.boomaga.org/
Source0:	https://github.com/Boomaga/boomaga/archive/v%{version}.tar.gz?/%{name}-%{version}.tar.gz
Source100:	%{name}.rpmlintrc
BuildRequires:	cmake
BuildRequires:	cups-devel
BuildRequires:	snappy-devel
BuildRequires:	qt5-linguist-tools
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(poppler-cpp)
Requires(post,postun):	cups-common

%description
Boomaga (BOOklet MAnager) is a virtual printer for viewing a document before
printing it out using the physical printer.
The program is very simple to work with. Running any program, click “print”
and select “Boomaga” to see in several seconds (CUPS takes some time to
respond) the Boomaga window open.
If you print out one more document, it gets added to the previous one, and you
can also print them out as one.
Regardless of whether your printer supports duplex printing or not, you would
be able to easily print on both sides of the sheet.

%files -f %{name}.lang
%doc COPYING README.md
%{_bindir}/%{name}
%{_exec_prefix}/%{_lib}/boomaga/*
%{cups_serverbin}/backend/boomaga
%{_datadir}/dbus-1/services/org.boomaga.service
%{_mandir}/man1/boomaga.1*
%{_datadir}/ppd/boomaga/boomaga.ppd
%{_datadir}/applications/*
%{_datadir}/icons/*
%{_datadir}/mime/*

%post
if [ $1 = 1 ]; then
	lpadmin -h localhost -p "%{printer_name}" -v "boomaga:/" -E -m "lsb/usr/boomaga/boomaga.ppd" -o printer-is-shared=no -o PageSize=a4
fi

%postun
if [ $1 = 0 ]; then
    lpadmin -x "Boomaga"
fi

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake
%make -s

%install
%makeinstall_std -C build

%find_lang %{name} --with-qt

%changelog

* Thu Feb 15 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.2.0-2
- (533702e) Don't delete the printer on package update


